Bug 122938 - Keyboard focus handling is crashing when windows are resized
Summary: Keyboard focus handling is crashing when windows are resized
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openmotif   
(Show other bugs)
Version: 3.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-10 16:12 UTC by Need Real Name
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-22 00:15:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Source code with comments describing the problem (4.16 KB, text/plain)
2004-05-10 16:15 UTC, Need Real Name
no flags Details

Description Need Real Name 2004-05-10 16:12:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
I'm submitting this bug for a developer who found it, the verbatim 
description I received was "Keyboard focus handling in either Motif 
or the X Toolkit is crashing when Windows are resized". I'm sending a 
test case of source code that provides an explanation in the comments.

When I witnessed the problem, it didn't create a core but the window 
did disappear. Although losing the window can be consistently 
replicated, apparently the seg fault can't.  

Version-Release number of selected component (if applicable):
XFree86-4.3.0-55.EL

How reproducible:
Sometimes

Steps to Reproduce:
1. See comments in attached test case
2.
3.
    

Actual Results:  Following the comments in the test case, the window 
disappeared

Expected Results:  Once the left hand button was covered, the window 
should not have disappeared

Additional info:

Again, I witnessed the problem but am not a developer. Please let me 
know what other specifics I can provide for your research.

Comment 1 Need Real Name 2004-05-10 16:15:09 UTC
Created attachment 100133 [details]
Source code with comments describing the problem

Comment 6 Marty Wesley 2005-06-02 19:17:34 UTC
PM ACK for U6.  Devel ACK based on comment #4.  QA ack based on comment #3.

Three acks, moving to CANFIX.

Comment 7 Kristian Høgsberg 2005-06-22 00:15:06 UTC
This is an openmotif bug, which is I can no longer reproduce when upgrading to

  openmotif-2.2.3-5.RHEL3.2

which is already in U5.  The test program says that it was reproduced with
openmotif-2.2.2-16 which I can confirm.

NOTE: I have to use twm to reproduce this bug, metacity doesn't trigger it.

Closing bug.

Comment 8 Mike A. Harris 2005-06-22 19:26:22 UTC
Changing resolution to "ERRATA".


Note You need to log in before you can comment on or make changes to this bug.